getcoord:
  ld   a,1
  ld   (temp),a
  ld   a,(mapX)
  ld   (coord),a
  ld   a,(mapY)
  cp   1
  jp   z,coordDone
coordFind:
  ld   a,(temp)
  ld   l,a
  ld   a,(mapY)
  cp   l
  jp   z,coordDone
  ld   a,(mapY)
  ld   l,a
  ld   a,(coord)
  add  a,l
  ld   (coord),a
  ld   a,(temp)
  inc  a
  ld   (temp),a
  jp   coordFind
coordDone:
  ret

MapSize:  ;Code for finding the map size
  ld   hl,currentmap
  ld   a,(hl)
  ld   (mapwidth),a
  inc  hl
  ld   a,(hl)
  ld   (mapheight),a
  ret

MapDraw: ;This, of course, DRAWS the map!
  xor  a
  ld   (ctile),a
  ld   (temp2),a
MDrawY:
  ld   hl,temp2
  inc  (hl)
  xor  a
  ld   (temp),a
MDrawX:
  ld   hl,temp
  inc  (hl)

  ld   hl,MapDemo
  ld   de,(ctile)
  xor  a
  ld   d,a
  add  hl,de
  ld   a,(hl)
  cp   1
  jp   z,Tile1
  cp   2
  jp   z,Tile2
  cp   3
  jp   z,Tile3
  cp   4
  jp   z,Tile4
  cp   5
  jp   z,Tile5
  ld   ix,TileGrass
  jp   TileDone
Tile1:
  ld   ix,TileBush
  jp   TileDone
Tile2:
  ld   ix,TileFence
  jp   TileDone
Tile3:
  ld   ix,TileFence2
  jp   TileDone
Tile4:
  ld   ix,TileRock
  jp   TileDone
Tile5:
  ld   ix,TileWalkWay
  jp   TileDone
TileDone:
  ld   a,(temp2)
  dec  a
  add  a,a
  add  a,a
  add  a,a
  add  a,a
  ld   l,a
  ld   a,(temp)
  dec  a
  add  a,a
  call PutAlignedSprite

  ld   hl,ctile
  inc  (hl)

  ld   a,(temp)
  sub  6
  jp   nz,MDrawX
  ld   a,(temp2)
  sub  4
  jp   nz,MDrawY
  ret